﻿using Microsoft.Extensions.Logging;

using System;
using System.Net.Http;
using System.Threading.Tasks;

namespace TemplateContent.Common
{
    internal class CommissioningHelper
    {
        internal static async Task<bool> IsDeviceCommissioned(string deviceId, ILogger logger)
        {
            bool result = false;

            try
            {
                using (HttpClient client = new HttpClient())
                {
                    string checkCommissioningEndpointUrl = Environment.GetEnvironmentVariable("checkCommissioningEndpointUrl", EnvironmentVariableTarget.Process);
                    string responseBody = await client.GetStringAsync(new Uri($"{checkCommissioningEndpointUrl}/{deviceId}"));

                    bool.TryParse(responseBody, out result);
                }
            }
            catch (HttpRequestException e)
            {
                logger.LogError($"IsDeviceCommissioned::{e.Message}");
            }

            return result;
        }
    }
}
